Wanx 2.1 T2I Plus
curl --request POST \
--url https://api.modellix.ai/api/v1/alibaba/wanx2.1-t2i-plus/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>"
}
'{
"code": 0,
"message": "success",
"data": {
"status": "pending",
"task_id": "task-abc123",
"model_id": "model-123",
"get_result": {
"method": "GET",
"url": "https://api.modellix.ai/api/v1/tasks/task-abc123"
}
}
}The Wan text-to-image model generates beautiful images from text. The wanx2.1-t2i-plus supports multiple styles and generates images with rich details.
POST
/
wanx2.1-t2i-plus
/
async
Wanx 2.1 T2I Plus
curl --request POST \
--url https://api.modellix.ai/api/v1/alibaba/wanx2.1-t2i-plus/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"prompt": "<string>"
}
'{
"code": 0,
"message": "success",
"data": {
"status": "pending",
"task_id": "task-abc123",
"model_id": "model-123",
"get_result": {
"method": "GET",
"url": "https://api.modellix.ai/api/v1/tasks/task-abc123"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.modellix.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API Key authentication. Format: Bearer YOUR_API_KEY.
Body
application/json
Image description text
Required string length:
1 - 800Negative prompt
Maximum string length:
500Image size. Width and height both in [512, 1440], max 1440*1440
Number of images to generate
Required range:
1 <= x <= 4Random seed
Required range:
0 <= x <= 2147483647Enable intelligent prompt rewriting
⌘I